org.kie.internal.runtime.manager.audit.query

## Interface AuditDeleteBuilder<T>

- Type Parameters:
    `T` -
  All Superinterfaces:
    ParametrizedQueryBuilder<T>
  All Known Subinterfaces:
    AuditDateDeleteBuilder<T>, AuditTaskDeleteBuilder, ErrorInfoDeleteBuilder, NodeInstanceLogDeleteBuilder, ProcessInstanceLogDeleteBuilder, RequestInfoLogDeleteBuilder, TaskEventDeleteBuilder, VariableInstanceLogDeleteBuilder

      public interface AuditDeleteBuilder<T>
      extends ParametrizedQueryBuilder<T>

  This interface defines methods that are used by all of the Audit delete query builder implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParametrizedUpdate` | `build()` Create the `ParametrizedUpdate` instance that can be used to execute an update or delete of the entities that this builder is for.
    `T` | `processId(String... processId)` Specify one or more process (definition) id's as criteria in the query
    `T` | `processInstanceId(long... processInstanceId)` Specify one or more process instance ids as criteria in the query

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### processInstanceId

          T processInstanceId(long... processInstanceId)

      Specify one or more process instance ids as criteria in the query
      Parameters:
        `processInstanceId` - one or more a process instance ids
      Returns:
        The current query builder instance

    - #### processId

          T processId(String... processId)

      Specify one or more process (definition) id's as criteria in the query
      Parameters:
        `processId` - one or more process ids
      Returns:
        The current query builder instance

    - #### build

          ParametrizedUpdate build()

      Create the `ParametrizedUpdate` instance that can be used to execute an update or delete of the entities that this builder is for. Further modifications to this builder instance will not affect the query criteria used in the `ParametrizedUpdate` produced by this method.
      Returns:
        a `ParametrizedUpdate` instance that can be executed.

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.